| LightHub v4.0.0 Smarthome controller firmware

Public Attributes | List of all members
itemCmdStore Union Reference

`#include <itemCmd.h>`

## Public Attributes
long int | aslong
int32_t | asInt32
uint32_t | asUint32
struct {
uint8_t cmdCode
uint8_t suffixCode:4
uint8_t itemArgType:4
uint8_t cmdEffect
uint8_t cmdParam
}; |

## Member Data Documentation

## ◆ @1

struct { ... }

## ◆ asInt32

int32_t itemCmdStore::asInt32

## ◆ aslong

long int itemCmdStore::aslong

## ◆ asUint32

uint32_t itemCmdStore::asUint32

## ◆ cmdCode

uint8_t itemCmdStore::cmdCode

## ◆ cmdEffect

uint8_t itemCmdStore::cmdEffect

## ◆ cmdParam

uint8_t itemCmdStore::cmdParam

## ◆ itemArgType

uint8_t itemCmdStore::itemArgType

## ◆ suffixCode

uint8_t itemCmdStore::suffixCode

The documentation for this union was generated from the following file:

- itemCmd.h